Get the Entity Definition in detail

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Cadency Close Task Action Plan API MCP server": {
  "url": "https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp"
}
Close
GET /entity-definitions/{id}

The purpose of the "Get Entity Definition by ID" call is to return information for an individual Close Entity regardless of whether it was added to a period or not. The data that is returned will look similar to what might be seen in the "Details" section on the "Entity Definition Details" page.

Path parameters

  • id integer Required

    id the primary key of the requested entity definition

Query parameters

  • deep boolean

    deep If true, all children of the requested entity will also be returned. Optional. Default is false.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id integer
    • parentId integer
    • name string
    • number string
    • description string
    • hasChildren boolean
    • childCount integer(int32)
GET /entity-definitions/{id}
curl \
 --request GET 'https://usaapi02.cadencyservices.trintech.com/test/api/entity-definitions/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": 42,
  "parentId": 42,
  "name": "string",
  "number": "string",
  "description": "string",
  "hasChildren": true,
  "childCount": 42
}